Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Class QueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.basex.query.QueryException

All Implemented Interfaces:
  Serializable

    public final class QueryException

extends Exception

This class indicates exceptions during query parsing or evaluation.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen
See Also:
  Serialized Form

Field Summary
`Iter` | `iter` Error items.

Constructor Summary
`QueryException(Object[] s, Object... e)` Constructor.
`QueryException(Object s, Object... e)` Constructor.

Method Summary
`String` | `code()` Returns the error code.
`int` | `col()` Returns the error column.
`StringList` | `complete()` Possible completions.
`void` | `complete(InputParser qp, StringList comp)` Sets code completions.
`String` | `extended()` Returns an extended error message.
`String` | `getMessage()`
`int` | `line()` Returns the error line.
`void` | `pos(InputParser parser)` Sets the error position.
`String` | `simple()` Returns the simple error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### iter

    public Iter iter

  Error items.

Constructor Detail

### QueryException

    public QueryException(Object s,
                          Object... e)

  Constructor.

  Parameters:
    `s` - message
    `e` - message extension

### QueryException

    public QueryException(Object[] s,
                          Object... e)

  Constructor.

  Parameters:
    `s` - xquery error
    `e` - error arguments

Method Detail

### code

    public String code()

  Returns the error code.

  Returns:
    position

### col

    public int col()

  Returns the error column.

  Returns:
    error column

### line

    public int line()

  Returns the error line.

  Returns:
    error line

### complete

    public StringList complete()

  Possible completions.

  Returns:
    error line

### pos

    public void pos(InputParser parser)

  Sets the error position.

  Parameters:
    `parser` - parser

### complete

    public void complete(InputParser qp,
                         StringList comp)

  Sets code completions.

  Parameters:
    `qp` - query parser
    `comp` - completions

### simple

    public String simple()

  Returns the simple error message.

  Returns:
    string

### extended

    public String extended()

  Returns an extended error message.

  Returns:
    string

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD